Create Embedded App
curl --request POST \
--url https://api.member.dev/api/v1/teams/{team_id}/embedded-apps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"allowed_origins": [
"<string>"
],
"hub_id": "<string>",
"launch_url": "<string>",
"name": "<string>",
"redirect_uris": [
"<string>"
],
"webhook_url": "<string>"
}
'import requests
url = "https://api.member.dev/api/v1/teams/{team_id}/embedded-apps"
payload = {
"allowed_origins": ["<string>"],
"hub_id": "<string>",
"launch_url": "<string>",
"name": "<string>",
"redirect_uris": ["<string>"],
"webhook_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
allowed_origins: ['<string>'],
hub_id: '<string>',
launch_url: '<string>',
name: '<string>',
redirect_uris: ['<string>'],
webhook_url: '<string>'
})
};
fetch('https://api.member.dev/api/v1/teams/{team_id}/embedded-apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.member.dev/api/v1/teams/{team_id}/embedded-apps",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'allowed_origins' => [
'<string>'
],
'hub_id' => '<string>',
'launch_url' => '<string>',
'name' => '<string>',
'redirect_uris' => [
'<string>'
],
'webhook_url' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/vnd.api+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.member.dev/api/v1/teams/{team_id}/embedded-apps"
payload := strings.NewReader("{\n \"allowed_origins\": [\n \"<string>\"\n ],\n \"hub_id\": \"<string>\",\n \"launch_url\": \"<string>\",\n \"name\": \"<string>\",\n \"redirect_uris\": [\n \"<string>\"\n ],\n \"webhook_url\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/vnd.api+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.member.dev/api/v1/teams/{team_id}/embedded-apps")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/vnd.api+json")
.body("{\n \"allowed_origins\": [\n \"<string>\"\n ],\n \"hub_id\": \"<string>\",\n \"launch_url\": \"<string>\",\n \"name\": \"<string>\",\n \"redirect_uris\": [\n \"<string>\"\n ],\n \"webhook_url\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.member.dev/api/v1/teams/{team_id}/embedded-apps")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/vnd.api+json'
request.body = "{\n \"allowed_origins\": [\n \"<string>\"\n ],\n \"hub_id\": \"<string>\",\n \"launch_url\": \"<string>\",\n \"name\": \"<string>\",\n \"redirect_uris\": [\n \"<string>\"\n ],\n \"webhook_url\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"attributes": {
"allowed_origins": [
"<string>"
],
"client_id": "<string>",
"hub_id": "<string>",
"launch_url": "<string>",
"name": "<string>",
"team_id": "<string>",
"client_secret": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"has_webhook_secret": false,
"redirect_uris": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"webhook_signing_secret": "<string>",
"webhook_url": "<string>"
},
"id": "<string>",
"type": "<string>",
"links": {
"self": "<string>"
},
"meta": {},
"relationships": {}
},
"included": [
"<unknown>"
],
"links": {
"self": "<string>"
},
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}embedded-apps
Create Embedded App
Register an embedded app for the hub named in hub_id.
client_secret (and webhook_signing_secret when webhook_url is set) appear
only in this response; store them now. Use rotate-secret to replace one.
POST
/
api
/
v1
/
teams
/
{team_id}
/
embedded-apps
Create Embedded App
curl --request POST \
--url https://api.member.dev/api/v1/teams/{team_id}/embedded-apps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"allowed_origins": [
"<string>"
],
"hub_id": "<string>",
"launch_url": "<string>",
"name": "<string>",
"redirect_uris": [
"<string>"
],
"webhook_url": "<string>"
}
'import requests
url = "https://api.member.dev/api/v1/teams/{team_id}/embedded-apps"
payload = {
"allowed_origins": ["<string>"],
"hub_id": "<string>",
"launch_url": "<string>",
"name": "<string>",
"redirect_uris": ["<string>"],
"webhook_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
allowed_origins: ['<string>'],
hub_id: '<string>',
launch_url: '<string>',
name: '<string>',
redirect_uris: ['<string>'],
webhook_url: '<string>'
})
};
fetch('https://api.member.dev/api/v1/teams/{team_id}/embedded-apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.member.dev/api/v1/teams/{team_id}/embedded-apps",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'allowed_origins' => [
'<string>'
],
'hub_id' => '<string>',
'launch_url' => '<string>',
'name' => '<string>',
'redirect_uris' => [
'<string>'
],
'webhook_url' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/vnd.api+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.member.dev/api/v1/teams/{team_id}/embedded-apps"
payload := strings.NewReader("{\n \"allowed_origins\": [\n \"<string>\"\n ],\n \"hub_id\": \"<string>\",\n \"launch_url\": \"<string>\",\n \"name\": \"<string>\",\n \"redirect_uris\": [\n \"<string>\"\n ],\n \"webhook_url\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/vnd.api+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.member.dev/api/v1/teams/{team_id}/embedded-apps")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/vnd.api+json")
.body("{\n \"allowed_origins\": [\n \"<string>\"\n ],\n \"hub_id\": \"<string>\",\n \"launch_url\": \"<string>\",\n \"name\": \"<string>\",\n \"redirect_uris\": [\n \"<string>\"\n ],\n \"webhook_url\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.member.dev/api/v1/teams/{team_id}/embedded-apps")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/vnd.api+json'
request.body = "{\n \"allowed_origins\": [\n \"<string>\"\n ],\n \"hub_id\": \"<string>\",\n \"launch_url\": \"<string>\",\n \"name\": \"<string>\",\n \"redirect_uris\": [\n \"<string>\"\n ],\n \"webhook_url\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"attributes": {
"allowed_origins": [
"<string>"
],
"client_id": "<string>",
"hub_id": "<string>",
"launch_url": "<string>",
"name": "<string>",
"team_id": "<string>",
"client_secret": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"has_webhook_secret": false,
"redirect_uris": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"webhook_signing_secret": "<string>",
"webhook_url": "<string>"
},
"id": "<string>",
"type": "<string>",
"links": {
"self": "<string>"
},
"meta": {},
"relationships": {}
},
"included": [
"<unknown>"
],
"links": {
"self": "<string>"
},
"meta": {}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"code": "<string>",
"detail": "<string>",
"id": "<string>",
"meta": {},
"source": {}
}
],
"meta": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Body
application/vnd.api+json
Register an embedded app. hub_id is explicit: the developer picks the hub.